import { useDispatch,useSelector } from 'react-redux';
import { useEffect, useState } from 'react';
import { Route } from 'react-router-dom';


import s from './Categories.module.css';
import { asyncGetCategories } from '../../redux/categories/operations';
import {getCategories} from '../../redux/categories/selector';

import Category from './Category/Category';
import Pagination from '../PaginationBar/PaginationBar';

const Categories = () => {
  const dispatch = useDispatch();
  const categories = useSelector(getCategories);
  const [page, setPage] = useState(1);
 

  const handlePageChange = (page) => setPage(page)

   useEffect(() => {
     dispatch(asyncGetCategories())
   }, [dispatch]);


  return (
    <Route>
      <ul className={s.categories_list}>
        {categories.length !== 0 && categories.slice((page-1)*5,(page*5)).map((category,i) => <Category key={i} category={category} />)}
      </ul>
        <Pagination
          page={page}
          total={Math.ceil(categories.length/5)}
          handlePageChange={handlePageChange}
        />

    </Route>
  );
};

export default Categories;
