import { useEffect } from 'react';
import { useRouteMatch } from 'react-router-dom';
import { useDispatch,useSelector } from 'react-redux';


import s from './DetailCategory.module.css';
import { asyncGetCategoryById } from '../../../redux/categories/operations';
import { getCategory} from '../../../redux/categories/selector';

function DetailCategory() {
  const { params:{id} } = useRouteMatch();
  const dispatch = useDispatch();
  const category = useSelector(getCategory);


  useEffect(() => {
    dispatch(asyncGetCategoryById(id))
  }, [dispatch, id]);


  return (
      category.length !== 0 &&(
        <div className={s.detailCategory_wrapper}>
          <p>name : {category[0].name?category[0].name:'missed'}</p>
          <p>createdAt : {category[0].createdAt?category[0].createdAt:'missed'}</p>
        </div>
      )
  )
}
export default DetailCategory;
