import { useDispatch,useSelector } from 'react-redux';
import { useEffect, useState } from 'react';
import { Route } from 'react-router-dom';


import s from './Goods.module.css';
import { asyncGetGoods } from '../../redux/goods/operations';
import {getGoods} from '../../redux/goods/selector';

import Good from './Good/Good';
import Pagination from '../PaginationBar/PaginationBar';

const Goods = () => {
  const dispatch = useDispatch();
  const goods = useSelector(getGoods);
  const [page, setPage] = useState(1);
 

  const handlePageChange = (page) => setPage(page)

   useEffect(() => {
     dispatch(asyncGetGoods())
   }, [dispatch]);


  return (
    <Route>
      <ul className={s.goods_list}>
        {goods.length !== 0 && goods.slice((page-1)*5,(page*5)).map((good,i) => <Good key={i} good={good} />)}
      </ul>
        <Pagination
          page={page}
          total={Math.ceil(goods.length/5)}
          handlePageChange={handlePageChange}
        />

    </Route>
  );
};

export default Goods;