import { useSelector } from 'react-redux';
import { Route, Redirect } from 'react-router-dom';
import { getToken } from '../../../redux/authorization/selector';

export default function PrivateRoute({ children, ...routeProps }) {
  const token = useSelector(getToken);
  return (
    <Route {...routeProps}>
      {token ? children : <Redirect to="/authorization" />}
    </Route>
  );
}
