import { useSelector } from 'react-redux';
import { Route, Redirect } from 'react-router-dom';
import { getToken } from '../../../redux/authorization/selector';

export default function PublicRoute({
  children,
  restricted = false,
  ...routeProps
}) {
  const token = useSelector(getToken);
  const shouldRedirect = token && restricted;

  return (
    <Route {...routeProps}>
      {shouldRedirect ? <Redirect to="/" /> : children}
    </Route>
  );
}
