import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { PersistGate } from 'redux-persist/integration/react';
import 'modern-normalize/modern-normalize.css';

import './index.css';
import App from './App';
import { store, persistor } from './redux/store';


ReactDOM.render(
  <React.StrictMode>
    <div className="app_wrapper">
      <PersistGate loading={null} persistor={persistor}>
        <Provider store={store}>
          <App />
        </Provider>
      </PersistGate>
    </div>
  </React.StrictMode>,
  document.getElementById('root'),
);
