import { actionIsLoading } from '../../loading/action';

import {
  actionCategoriesSuccess,
  actionCategoriesReject,
  actionCategorySuccess,
  actionCategoryReject,
} from '../action';

import { categoriesGQL, categoryById } from '../../../api-data';

const asyncGetCategories = () => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    const data = await categoriesGQL();
    dispatch(actionCategoriesSuccess(data));
  } catch (e) {
    dispatch(actionCategoriesReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

const asyncGetCategoryById = id => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    const data = await categoryById(id);
    dispatch(actionCategorySuccess(data));
  } catch (e) {
    dispatch(actionCategoryReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

export { asyncGetCategories, asyncGetCategoryById };
