import { createReducer } from '@reduxjs/toolkit';

import {
  actionCategoriesSuccess,
  actionCategoriesReject,
  actionCategorySuccess,
  actionCategoryReject,
} from '../action';

const initialState = { categories: [], category: [] };

const reducerCategories = createReducer(initialState, {
  [actionCategoriesSuccess]: (state, { payload: categories }) => {
    const category = state.category;
    return { categories, category };
  },
  [actionCategoriesReject]: (state, _) => {
    return state;
  },
  [actionCategorySuccess]: (state, { payload: category }) => {
    const categories = state.categories;
    return { categories, category: [category] };
  },
  [actionCategoryReject]: (state, _) => {
    return state;
  },
});

export default reducerCategories;
