import { actionIsLoading } from '../../loading/action';

import {
  actionGoodsSuccess,
  actionGoodsReject,
  actionGoodSuccess,
  actionGoodReject,
} from '../action';

import { goodsGQL, goodById } from '../../../api-data';

const asyncGetGoods = () => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    const data = await goodsGQL();
    dispatch(actionGoodsSuccess(data));
  } catch (e) {
    dispatch(actionGoodsReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

const asyncGetGoodById = id => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    const data = await goodById(id);
    dispatch(actionGoodSuccess(data));
  } catch (e) {
    dispatch(actionGoodReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

export { asyncGetGoods, asyncGetGoodById };
