import { actionIsLoading } from '../../loading/action';

import {
  actionOrdersSuccess,
  actionOrdersReject,
  actionOrderSuccess,
  actionOrderReject,
} from '../action';

import { ordersGQL, orderById } from '../../../api-data';

const asyncGetOrders = () => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    const data = await ordersGQL();
    dispatch(actionOrdersSuccess(data));
  } catch (e) {
    dispatch(actionOrdersReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

const asyncGetOrderById = id => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    const data = await orderById(id);
    dispatch(actionOrderSuccess(data));
  } catch (e) {
    dispatch(actionOrderReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

export { asyncGetOrders, asyncGetOrderById };
