import { createReducer } from '@reduxjs/toolkit';

import {
  actionOrdersSuccess,
  actionOrdersReject,
  actionOrderSuccess,
  actionOrderReject,
} from '../action';

const initialState = { orders: [], order: [] };

const reducerOrders = createReducer(initialState, {
  [actionOrdersSuccess]: (state, { payload: orders }) => {
    const order = state.order;
    return { orders, order };
  },
  [actionOrdersReject]: (state, _) => {
    return state;
  },
  [actionOrderSuccess]: (state, { payload: order }) => {
    const orders = state.orders;
    return { orders, order: [order] };
  },
  [actionOrderReject]: (state, _) => {
    return state;
  },
});

export default reducerOrders;
