import { combineReducers } from '@reduxjs/toolkit';
import { persistReducer } from 'redux-persist';
import storage from 'redux-persist/lib/storage';

import reducerCategories from '../categories/reducer';
import reducerGoods from '../goods/reducer';
import reducerOrders from '../orders/reducer';
import reducerLoading from '../loading/reducer';
import reducerAuthorization from '../authorization/reducer';
import reducerUser from '../user/reducer';
const authorizationPersistConfig = {
  key: 'auth',
  storage: storage,
};

export const rootReducer = combineReducers({
  categories: reducerCategories,
  goods: reducerGoods,
  orders: reducerOrders,
  isLoading: reducerLoading,
  user: reducerUser,
  authorization: persistReducer(
    authorizationPersistConfig,
    reducerAuthorization,
  ),
});
