import { actionIsLoading } from '../../loading/action';

import { actionPurchaseSuccess, actionPurchaseReject } from '../action';

import { makeOrderById } from '../../../api-data';

const asyncMakeOrderById = (id, price) => async dispatch => {
  try {
    dispatch(actionIsLoading(true));
    await makeOrderById(id);
    dispatch(actionPurchaseSuccess(price));
  } catch (e) {
    dispatch(actionPurchaseReject());
  } finally {
    dispatch(actionIsLoading(false));
  }
};

export { asyncMakeOrderById };
